=begin pod

=TITLE class X::Signature::Placeholder

    class X::Signature::Placeholder does X::Comp

Compile time error thrown when a block has both an explicit signature
and placeholder parameters.

For example

    sub f() { $^x }

dies with

    ===SORRY!===
    Placeholder variable '$^x' cannot override existing signature

=head1 Methods

=head2 placeholder

    method placeholder() returns Str:D

Returns the name of a placeholder that was used in a block that already
had a signature.

=end pod
